Subject: Re: Sergeys PGCC port gives problems
From: [email-masked] (Larry Hall)

9 Jun 1998 18:51:56 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Kevin F. Quinn" <[email-masked]>, [email-masked]

Folks,

Can you take up this discussion off-line?  Its really not germane to this
list.

Appreciatively,

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181                    http://www.rfk.com

At 01:43 PM 6/8/98 +0000, Kevin F. Quinn wrote:
>[email-masked] wrote:
>
>[defending the statement, "Why do people still use Fortran ?"]
>
>> As the former editor of ACM SIGPLAN (Special Interest Group on Programming
>> Languages) Notices, I have a license to make such comments.  Since you
>> identify yourself as a `Dr.' in the Dept. of theoretical chemistry
>> defending the use of a standard from 1977 as though it were academically
>> respectible, you should also take care making unprofessional statements on
>> a public forum.  It might be bad for your career.
>
>Hmph.  Given your background then, I would have thought you would be 
>familiar with the following points:
>
>1) Theoretical chemists are, presumably, interested in theoretical 
>chemistry, not in re-writing Fortran code into C.
>
>2) Fortran has evolved since 1977 - your argument is equivalent to 
>deprecating the use of C as a language of 1978 (date of first publication 
>of K&R).
>
>3) From a technical perspective, the choice of language is irrelevant. 
>Each have their pros and cons, but essentially Fortran, C, PASCAL et. al.
>all do the same job.
>
>4) Given that this is a public forum, it stands to reason that there are
>many people here with many different requirements.  The idea that everyone
>should use C at all times is preposterous.
>
>5) There are significant amounts of Fortran code out there, which works -
>especially in academic circles other than computer science and also in the
>real world.  Are you suggesting it should all be re-written in C just for
>the sake of it?  Do you really think that would be a good career move?
>
>Kev.
>
>-- 
>Kevin F. Quinn
>Email: mailto:[email-masked]
>Web: http://www.banana.demon.co.uk/
>
>DH/DSS PGP Key ID BF2270F3, F'print CF8E7A81E372B57AA793 2AC7E016EB00BF2270F3
>RSA PGP Key ID 22DEFDE5, F'print 92DB91B153F10711 4272B2940D7C7D77
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".